Returns the workspace's 50 newest import jobs, newest first. Each item has the same shape as Get contact import job.
Request#
This endpoint takes no path, query or body parameters.
Example request#
curl https://api.tried.com.au/list-contact-import-jobs \
-H "Authorization: Bearer $TRIED_API_KEY"const res = await fetch("https://api.tried.com.au/list-contact-import-jobs", {
headers: { Authorization: `Bearer ${process.env.TRIED_API_KEY}` },
});
const jobs = await res.json();import os, requests
res = requests.get(
"https://api.tried.com.au/list-contact-import-jobs",
headers={"Authorization": f"Bearer {os.environ['TRIED_API_KEY']}"},
)
jobs = res.json()Response#
200 OK
[
{
"job_id": "contact_import_6d5c4b3a2f1e0d9c8b7a6f5e",
"status": "running",
"source": "csv",
"total": 1200,
"processed": 600,
"created": 590,
"updated": 9,
"errors": [{ "row": 18, "message": "phone_number: phone_number must be E.164, e.g. +61412345678" }],
"error": null,
"progress": 50,
"created_timestamp": 1760850000000,
"completed_timestamp": null
}
]The fields are described in Get contact import job.
Errors#
| Status | When |
|---|---|
401 |
Missing or invalid API key. |
403 |
The key's IP allowlist or scopes reject the request. This route needs the calls scope. |
429 |
Rate limit exceeded. See Rate limits. |
See Errors for the body format.